com.gisgraphy.importer

## Enum AdmExtracterStrategyOptions

- java.lang.Object
- - java.lang.Enum<AdmExtracterStrategyOptions>
  - - com.gisgraphy.importer.AdmExtracterStrategyOptions

- All Implemented Interfaces:
    Serializable, Comparable<AdmExtracterStrategyOptions>

      public enum AdmExtracterStrategyOptions
      extends Enum<AdmExtracterStrategyOptions>

  Enumeration of option that determine what should we do when Adm have already been extracted from country files,
  Author:
    David Masclet

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `backup` Do a back-up of the files That have already been extracted and do a new extract
    `reprocess` Override the last extracted files
    `skip` Does not re extract the Adm files if they've already been extracted

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AdmExtracterStrategyOptions` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AdmExtracterStrategyOptions[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### skip

          public static final AdmExtracterStrategyOptions skip

      Does not re extract the Adm files if they've already been extracted

    - #### backup

          public static final AdmExtracterStrategyOptions backup

      Do a back-up of the files That have already been extracted and do a new extract

    - #### reprocess

          public static final AdmExtracterStrategyOptions reprocess

      Override the last extracted files

  - ### Method Detail

    - #### values

          public static AdmExtracterStrategyOptions[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AdmExtracterStrategyOptions c : AdmExtracterStrategyOptions.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AdmExtracterStrategyOptions valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015. All rights reserved.